View Issue Details

IDProjectCategoryView StatusLast Update
0000542PluginsFTP (old)public2008-06-06 06:48
ReporterDiRTy_GaRRyAssigned Toalexy 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version2003 SP2
Product Version 
Target VersionFixed in Version1.71 
Summary0000542: Необходимо использовать CDUP вместо CWD ,, для перехода на папку вверх.
DescriptionНеобходимо использовать CDUP вместо CWD ,, для перехода на папку вверх.

Причины смотри тут: http://forum.farmanager.com/viewtopic.php?f=4&t=3315
TagsNo tags attached.

Activities

2008-05-30 11:23

 

CDUP.patch (492 bytes)
Index: ftp_FtpAPI.cpp
===================================================================
--- ftp_FtpAPI.cpp	(revision 1692)
+++ ftp_FtpAPI.cpp	(working copy)
@@ -158,7 +158,11 @@
        return FALSE;
 
      do{
-       Command.printf( "cd \x1%s\x1",dir );
+       if (StrCmp(dir, "..") == 0) {
+         Command.printf( "cdup" );
+       } else {
+         Command.printf( "cd \x1%s\x1",dir );
+       }
        if ( hConnect->ProcessCommand(Command) )
          break;
 
CDUP.patch (492 bytes)

alexy

2008-06-06 06:47

administrator   bugnote:0001558

добавил в 2.41

Issue History

Date Modified Username Field Change
2008-05-30 11:23 DiRTy_GaRRy New Issue
2008-05-30 11:23 DiRTy_GaRRy File Added: CDUP.patch
2008-06-06 06:38 alexy Status new => assigned
2008-06-06 06:38 alexy Assigned To => alexy
2008-06-06 06:47 alexy Status assigned => closed
2008-06-06 06:47 alexy Note Added: 0001558
2008-06-06 06:48 alexy Resolution open => fixed
2008-06-06 06:48 alexy Fixed in Version => 1.71
2013-05-21 00:30 alexy Category FTP => FTP (old)